Qt 5.7 | Qt 3D | C++ Classes | QPropertyUpdatedChangeBase

Qt 5.7.1 Reference Documentation

# QPropertyUpdatedChangeBase Class

(Qt3DCore::QPropertyUpdatedChangeBase)

The QPropertyUpdatedChangeBase class is the base class for all PropertyUpdated QSceneChange events More...

Header: | #include <QPropertyUpdatedChangeBase>
qmake: | QT += 3dcore
Inherits: | QSceneChange
Inherited By: | Qt3DCore::QDynamicPropertyUpdatedChange and Qt3DCore::QStaticPropertyUpdatedChangeBase

- List of all members, including inherited members

## Public Functions

| ~QPropertyUpdatedChangeBase()

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QPropertyUpdatedChangeBase(QNodeId subjectId)
| QPropertyUpdatedChangeBase(QPropertyUpdatedChangeBasePrivate &dd, QNodeId subjectId)

## Related Non-Members

typedef | QPropertyUpdatedChangeBasePtr

## Detailed Description

The QPropertyUpdatedChangeBase class is the base class for all PropertyUpdated QSceneChange events

The QPropertyUpdatedChangeBase class is the base class for all QSceneChange events that have the changeType() PropertyUpdated. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QPropertyUpdatedChange or QTypedPropertyUpdatedChange.

You can subclass this to create your own node update types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### `[protected]` QPropertyUpdatedChangeBase::QPropertyUpdatedChangeBase(QNodeId subjectId)

Constructs a new QPropertyUpdatedChangeBase with subjectId

### `[protected]` QPropertyUpdatedChangeBase::QPropertyUpdatedChangeBase(QPropertyUpdatedChangeBasePrivate &dd, QNodeId subjectId)

Copy constructor.

### QPropertyUpdatedChangeBase::~QPropertyUpdatedChangeBase()

Destroys the instance of QPropertyUpdatedChangeBase.

## Related Non-Members

### typedef Qt3DCore::QPropertyUpdatedChangeBasePtr

A shared pointer for QPropertyUpdatedChangeBase.